import { AfterViewInit, ElementRef, OnInit } from "@angular/core";
import { StiModelService } from "../../services/model.service";
import { StiImageElement } from "../../elements/StiImageElement";
import { StiBorderArea } from "../../properties/StiBorderArea";
import * as i0 from "@angular/core";
export declare class StiImageComponent implements OnInit, AfterViewInit {
    model: StiModelService;
    sigPadElement: any;
    element: StiImageElement;
    isClone: boolean;
    ref: ElementRef;
    get align(): string;
    get image(): string;
    get imageWidth(): number;
    get imageHeight(): number;
    get borderArea(): StiBorderArea;
    onFileSelected(event: any): void;
    openLink(): void;
    get backgroundSize(): string;
    constructor(model: StiModelService);
    ngAfterViewInit(): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiImageComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiImageComponent, "sti-image-component", never, { "element": { "alias": "element"; "required": false; }; "isClone": { "alias": "isClone"; "required": false; }; }, {}, never, never, false, never>;
}
